Skip to main content
GET
/
v1
/
crbr
/
lookup
Beneficjenci rzeczywiści (CRBR)
curl --request GET \
  --url https://api.krdata.pl/v1/crbr/lookup \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "identifiers": {
      "krs": "<string>",
      "nip": "<string>",
      "regon": "<string>",
      "registry_type": "<string>"
    },
    "company_name": "<string>",
    "ubos": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "birth_date": "2023-12-25",
        "pesel": "<string>",
        "nationalities": [
          "<string>"
        ],
        "ownership_type": "<string>",
        "share_value": "<string>",
        "share_unit": "<string>"
      }
    ],
    "krz_records_count": 123,
    "metadata": {
      "first_seen": "2023-11-07T05:31:56Z",
      "last_updated": "2023-11-07T05:31:56Z",
      "source_updated_at": "2023-11-07T05:31:56Z"
    },
    "payload": {}
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.krdata.pl/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

id
string<uuid> | null
krs
string | null
Required string length: 10
Pattern: ^\d{10}$
nip
string | null
Required string length: 10
Pattern: ^\d{10}$
pesel
string | null
Pattern: ^\d{11}$

Response

Successful Response

id
string<uuid>
required
identifiers
Identifiers · object
required
company_name
string
required
ubos
Ubo · object[]
required
krz_records_count
integer
required
metadata
Metadata · object
required
payload